<template>
  <div class="v-services">
    <div class="v-services_articles">
      <h2
        v-for="article in articles"
        :key="`article-${article.id}`"
        v-show="article.id === numArticle"
      >
        {{ article.title }}
      </h2>
      <router-link
        v-for="article in articles"
        :key="article.id" tag="div"
        :to="{name: 'services', params: {id: article.id}}"
        :class="{active: numArticle === article.id}"
        class="articles-container">
        <div class="title">{{ article.title }}</div>
        <div class="subtitle">{{ article.subtitle }}</div>
      </router-link>
    </div>
    <div class="v-services_quest" v-if="numArticle === 1">
      <div class="v-services_quest-container" v-for="quest in questions1" :key="quest.id">
        <span>{{quest.value}}</span>
        <div class="answer-wrapper">
          <label :class="{active: quest.answer === quest.valueAnswerTrue}"><input hidden type="radio"  :value="quest.valueAnswerTrue" v-model="quest.answer" class="answer-1">{{quest.valueAnswerTrue}}</label>
          <label :class="{active: quest.answer === quest.valueAnswerFalse}"><input hidden type="radio"  :value="quest.valueAnswerFalse" v-model="quest.answer" class="answer-2">{{quest.valueAnswerFalse}}</label>
        </div>
      </div>
    </div>
    <div class="v-services_quest" v-if="numArticle === 2">
      <div class="v-services_quest-container" v-for="quest in questions2" :key="quest.id">
        <span>{{quest.value}}</span>
        <div class="answer-wrapper">
          <label :class="{active: quest.answer === quest.valueAnswerTrue}"><input hidden type="radio"  :value="quest.valueAnswerTrue" v-model="quest.answer" class="answer-1">{{quest.valueAnswerTrue}}</label>
          <label :class="{active: quest.answer === quest.valueAnswerFalse}"><input hidden type="radio"  :value="quest.valueAnswerFalse" v-model="quest.answer" class="answer-2">{{quest.valueAnswerFalse}}</label>
        </div>
      </div>
    </div>
    <div class="v-services_quest" v-if="numArticle === 3">
      <div class="v-services_quest-container" v-for="quest in questions3" :key="quest.id">
        <span>{{quest.value}}</span>
        <div class="answer-wrapper">
          <label :class="{active: quest.answer === quest.valueAnswerTrue}"><input hidden type="radio"  :value="quest.valueAnswerTrue" v-model="quest.answer" class="answer-1">{{quest.valueAnswerTrue}}</label>
          <label :class="{active: quest.answer === quest.valueAnswerFalse}"><input hidden type="radio"  :value="quest.valueAnswerFalse" v-model="quest.answer" class="answer-2">{{quest.valueAnswerFalse}}</label>
        </div>
      </div>
    </div>
    <div class="v-services_quest" v-if="numArticle === 4">
      <div class="v-services_quest-container" v-for="quest in questions4" :key="quest.id">
        <span>{{quest.value}}</span>
        <div class="answer-wrapper">
          <label :class="{active: quest.answer === quest.valueAnswerTrue}"><input hidden type="radio"  :value="quest.valueAnswerTrue" v-model="quest.answer" class="answer-1">{{quest.valueAnswerTrue}}</label>
          <label :class="{active: quest.answer === quest.valueAnswerFalse}"><input hidden type="radio"  :value="quest.valueAnswerFalse" v-model="quest.answer" class="answer-2">{{quest.valueAnswerFalse}}</label>
        </div>
      </div>
    </div>
    <div ref="form" class="v-services_form">
      <div class="title">
        ВВЕДИТЕ ДАННЫЕ
        <p>Получите результаты проверки информации по базе судебных актов</p>
      </div>
      <form>
        <div class="form-wrapper">
          <label>
            <span>Ваше имя</span>
            <input type="text" v-model="name" placeholder="Введите имя">
          </label>
          <label>
            <span>Город</span>
            <input type="email" v-model="city" placeholder="Введите ваш город">
          </label>
          <label>
            <span>E-mail</span>
            <input type="email" v-model="email" placeholder="E-mail">
          </label>
          <label>
            <span>Телефон</span>
            <input type="text" class="new-input" required placeholder="Ваш телефон" data-inputmask="'mask': '+9(999)999-99-99'"  v-model="phone">
          </label>
        </div>
      </form>
      <button type="submit" @click="outMessUrist" onclick="ym(75267985,'reachGoal','order')">Узнать результаты</button>
      <p>Отправляя форму вы даёте согласие на обработку персональных данных</p>
    </div>
    <div id="answer" style="display: none" class="v-services_answer" v-if="numArticle === 1">
      <p>Добрый день!</p>
      <p>
        Направляем Вам предварительные результаты, основанные на автоматическом анализе 2330
        постановлений и решений по аналогичным делам. Искусственный интеллект
        определяет шансы на возврат прав
      </p>
      <p>
        Наши юристы готовы помочь Вам в том числе лично и по
        бесплатному телефону 8(800)201-32-36 предоставив бесплатную консультацию.
      </p>
      <p>А теперь по Вашему делу:</p>
      <div class="answer-wrapper">
        <div class="answer-container">
          <div v-if="questions1[0].answer === questions1[0].valueAnswerTrue" class="title">Мед.противопоказания.</div>
          <div v-else class="title">Мед.противопоказания.</div>
          <div v-if="questions1[0].answer === questions1[0].valueAnswerTrue" class="subtitle">
            Если есть какие-либо противопоказания к несению военной службы Вы не обязаны проходить срочную военную службу. В случае признания пригодным к службе необходимо обжаловать решение призывной комиссии. По статистике 17% срочников имеют диагноз, позволяющий не проходить службу.
          </div>
          <div v-else class="subtitle">
            Если нет противопоказаний к несению военной службы Вы обязаны проходить срочную военную службу, но у Вас могут быть другие обстоятельства, на основании которых мы поможем получить отсрочку
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1[1].answer === questions1[1].valueAnswerTrue" class="title">Родственники, признанные инвалидом.</div>
          <div v-else class="title">Родственники, признанные инвалидом.</div>
          <div v-if="questions1[1].answer === questions1[1].valueAnswerTrue" class="subtitle">
            Лица, подлежащие призыву на срочную военную службу, освобождаются от призыва, если они осуществляют уход за родственниками, признанными инвалидом. Если все-таки Вас призывают на службу, то необходимо обжаловать решение призывной комиссии, подготовив правовую позицию, с указанием ссылок на нормы права
          </div>
          <div v-else class="subtitle">
            Лица, подлежащие призыву на срочную военную службу, освобождаются от призыва, если они осуществляют уход за родственниками, признанными инвалидом. А если Вы не осуществляете уход за родственником-инвалидом, Вы не освобождаетесь от призыва, но не стоит отчаиваться, так как мы проверим ваше дело на предмет наличия других оснований для получения отсрочки
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1[2].answer === questions1[2].valueAnswerTrue" class="title">Опекуном/попечитель брата/сестры.</div>
          <div v-else class="title">Опекуном/попечитель брата/сестры.</div>
          <div v-if="questions1[2].answer === questions1[2].valueAnswerTrue" class="subtitle">
            Гражданин, являющийся опекуном или попечителем брата либо сестры, освобождается от обязанности по прохождению срочной военной службы. Если вынесено решение о призыве на службу, то он обжалуется в досудебном или судебном порядке, с чем мы успешно справляемся
          </div>
          <div v-else class="subtitle">
            Гражданин, являющийся опекуном или попечителем брата/сестры, не обязан проходить срочную военную службу. А если не относитесь к таковым, можно получить отсрочку с помощью иных обстоятельств, которые Вы можете обсудить с нашим юристом на бесплатной консультации
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1[3].answer === questions1[3].valueAnswerTrue" class="title">Служба в госорганах.</div>
          <div v-else class="title">Служба в госорганах.</div>
          <div v-if="questions1[3].answer === questions1[3].valueAnswerTrue" class="subtitle">
            Граждане, проходящие службу в органах внутренних дел, противопожарной службе, ФСИН, ФССП и таможенных органах освобождаются от призыва на срочную военную службу, при наличии высшего образования и специального звания
          </div>
          <div v-else class="subtitle">
            Если Вы не проходите службу в органах внутренних дел, противопожарной службе, ФСИН, ФССП и таможенных органах, необходимо проверить Вашу ситуацию на наличие иных обстоятельств, на основании которых получите отсрочку
          </div>
        </div>
      </div>
      <h5>Резюме</h5>
      <p>
        Нами разработано несколько способов для возврата прав за управление без номеров или со скрытыми номерами, в том числе и с получением штрафа. Как видно из предварительного автоматизированного анализа, у Вас есть все шансы на успех, но придется постараться этого успеха добиться. Есть положительные и отрицательные моменты, но после анализа протокола об административном правонарушении можно будет дать более точные шансы и определиться с окончательной линией защиты по Вашему делу.
      </p>
      <h3>Звоните по бесплатному номеру 8(800)201-32-36 и юрист предоставит Вам:</h3>
      <span>- бесплатные ходатайства</span><br>
      <span>- постановления и решения судов на которых основана эта информация</span><br>
      <span>- бесплатную консультацию и анализ материалов дела</span>
      <h3>
        С уважением,
        <br>
        Ваш Автоюрист
      </h3>
    </div>
    <div id="answer" style="display: none" class="v-services_answer" v-if="numArticle === 2">
      <p>Добрый день!</p>
      <p>
        Направляем Вам предварительные результаты, основанные на автоматическом
        анализе 2330 постановлений и решений по аналогичным делам. Искусственный
        интеллект определяет шансы на возврат прав
      </p>
      <p>
        Наши юристы готовы помочь Вам в том числе лично и по бесплатному
        телефону 8(800)201-32-36 предоставив бесплатную консультацию.
      </p>
      <p>А теперь по Вашему делу:</p>
      <div class="answer-wrapper">
        <div class="answer-container">
          <div v-if="questions2[0].answer === questions2[0].valueAnswerTrue" class="title">Категории годности.</div>
          <div v-else class="title">Категории годности.</div>
          <div v-if="questions2[0].answer === questions2[0].valueAnswerTrue" class="subtitle">
            Если относитесь к категории годности «В» или «Д» Вы имеете полное право на получение военного билета. При получении отказа в предоставлении военного билета необходимо обжаловать действия и решения должностных лиц военкомата в досудебном или судебном порядке. В большинстве случаев подобные споры мы решаем в досудебном порядке.
          </div>
          <div v-else class="subtitle">
            Если Вы имеете проблемы со здоровьем, но военно-врачебная комиссия установила, что Вы годны для службы в армии, необходимо написать жалобу на решение призывной комиссии, грамотно обосновав свою позицию, с чем мы можем вам помочь
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions2[1].answer === questions2[1].valueAnswerTrue" class="title">Жалоба.</div>
          <div v-else class="title">Жалоба.</div>
          <div v-if="questions2[1].answer === questions2[1].valueAnswerTrue" class="subtitle">
            Если гражданин считает, что его права нарушены органами военного комиссариата он имеет право на обжалование действий и решений этих органов в вышестоящий орган, в прокуратуру и в суд.
          </div>
          <div v-else class="subtitle">
            Если гражданин считает, что его права нарушены органами военного комиссариата он имеет право на обжалование действий и решений этих органов в вышестоящий орган, в прокуратуру и в суд. Большая часть решений, которые мы обжаловали были выиграны в досудебном порядке
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions2[2].answer === questions2[2].valueAnswerTrue" class="title">Противопоказания.</div>
          <div v-else class="title">Противопоказания.</div>
          <div v-if="questions2[2].answer === questions2[2].valueAnswerTrue" class="subtitle">
            При наличии медицинских противопоказаний к военной службе граждане освобождаются от срочной военной службы. Согласно статистическим данным в 24% случаев гражданам незаконно отказывают в предоставлении военного билета по здоровью
          </div>
          <div v-else class="subtitle">
            При отсутствии медицинских противопоказаний к несению военной службы Вы не имеете право на получение военного билета по здоровью
          </div>
        </div>
      </div>
      <h5>Резюме</h5>
      <p>
        Нами разработано несколько способов для возврата прав за оставление места ДТП,
        в том числе и с получением ареста. Как видно из предварительного автоматизированного анализа,
        у Вас есть все шансы на успех, но придется постараться этого успеха добиться.
        Есть положительные и отрицательные моменты, но после анализа протокола об административном
        правонарушении можно будет дать более точные шансы и определиться с окончательной линией защиты
        по Вашему делу.
      </p>
      <h3>Звоните по бесплатному номеру 8(800)201-32-36 и юрист предоставит Вам:</h3>
      <span>- бесплатные ходатайства</span><br>
      <span>- постановления и решения судов на которых основана эта информация</span><br>
      <span>- бесплатную консультацию и анализ материалов дела</span>
      <h3>
        С уважением,
        <br>
        Ваш Автоюрист
      </h3>
    </div>
    <div id="answer" style="display: none" class="v-services_answer" v-if="numArticle === 3">
      <p>Добрый день!</p>
      <p>
        Направляем Вам предварительные результаты, основанные на автоматическом
        анализе 4227 постановлений и решений по аналогичным делам. Искусственный
        интеллект определяет шансы на возврат прав
      </p>
      <p>
        Наши юристы готовы помочь Вам в том числе лично и по бесплатному
        телефону 8(800)201-32-36 предоставив бесплатную консультацию.
      </p>
      <p>А теперь по Вашему делу:</p>
      <div class="answer-wrapper">
        <div class="answer-container">
          <div v-if="questions3[0].answer === questions3[0].valueAnswerTrue" class="title">Больше 27 лет.</div>
          <div v-else class="title">Меньше 27 лет.</div>
          <div v-if="questions3[0].answer === questions3[0].valueAnswerTrue" class="subtitle">
            Если у Вас есть уважительные причины, по которым не проходили военную службу, имеете право на получение военного билета, но в 35 % из всех случаев военкомат незаконно отказывает.
          </div>
          <div v-else class="subtitle">
            Если меньше 27 лет, Вам необходимо дождаться достижения 27 лет и обратиться в военкомат для получения военного билета
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions3[1].answer === questions3[1].valueAnswerTrue" class="title">Медицинские противопоказания.</div>
          <div v-else class="title">Медицинские противопоказания.</div>
          <div v-if="questions3[1].answer === questions3[1].valueAnswerTrue" class="subtitle">
            Если есть какие-либо противопоказания к несению военной службы Вы не обязаны проходить срочную военную службу и при достижении 27 можете получить военный билет
          </div>
          <div v-else class="subtitle">
            Если нет противопоказаний к несению военной службы Вы обязаны проходить срочную военную службу, но у Вас могут быть другие уважительные причины, на основании которых мы поможем получить военный билет
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions3[2].answer === questions3[2].valueAnswerTrue" class="title">Студент ВУЗа.</div>
          <div v-else class="title">Студент ВУЗа.</div>
          <div v-if="questions3[2].answer === questions3[2].valueAnswerTrue" class="subtitle">
            Гражданин, являвшийся студентом, магистром или аспирантом до достижения 27 лет может получить военный билет, однако военкомат создает определенные проблемы, которые мы решаем на протяжении всей деятельности компании
          </div>
          <div v-else class="subtitle">
            Если не являлись студентом, магистром или аспирантом до достижения 27 лет Вы также можете получить военный билет при наличии других уважительных причин
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions3[3].answer === questions3[3].valueAnswerTrue" class="title">Родственники, признанные инвалидом.</div>
          <div v-else class="title">Родственники, признанные инвалидом.</div>
          <div v-if="questions3[3].answer === questions3[3].valueAnswerTrue" class="subtitle">
            Лица, подлежащие призыву на срочную военную службу, освобождаются от призыва, если они осуществляют уход за родственниками, признанными инвалидом, и имеют полное право на получение военного билета по достижении 27 лет
          </div>
          <div v-else class="subtitle">
            Лица, подлежащие призыву на срочную военную службу, освобождаются от призыва, если они осуществляют уход за родственниками, признанными инвалидом. А если Вы не осуществляли уход за родственником-инвалидом до 27 лет, мы поможем получить военный билет на основании других уважительных причин
          </div>
        </div>
      </div>
      <h5>Резюме</h5>
      <p>
        Есть 4 основных способа возврата прав за управление в состоянии опьянения.
        Как видно из предварительного автоматизированного анализа, у Вас есть все шансы на успех,
        но придется постараться этого успеха добиться. Есть положительные и отрицательные моменты,
        но после анализа протокола об административном правонарушении можно будет дать более точные
        шансы и определиться с окончательной линией защиты по Вашему делу и выбрать
        как раз один из 4-х основных вариантов.
      </p>
      <h3>Звоните по бесплатному номеру 8(800)201-32-36 и юрист предоставит Вам:</h3>
      <span>- бесплатные ходатайства</span><br>
      <span>- постановления и решения судов на которых основана эта информация</span><br>
      <span>- бесплатную консультацию и анализ материалов дела</span>
      <h3>
        С уважением,
        <br>
        Ваш Автоюрист
      </h3>
    </div>
    <div id="answer" style="display: none" class="v-services_answer" v-if="numArticle === 4">
      <p>Добрый день!</p>
      <p>
        Направляем Вам предварительные результаты, основанные на автоматическом
        анализе 4227 постановлений и решений по аналогичным делам. Искусственный
        интеллект определяет шансы на возврат прав
      </p>
      <p>
        Наши юристы готовы помочь Вам в том числе лично и по бесплатному
        телефону 8(800)201-32-36 предоставив бесплатную консультацию.
      </p>
      <p>А теперь по Вашему делу:</p>
      <div class="answer-wrapper">
        <div class="answer-container">
          <div v-if="questions3[0].answer === questions3[0].valueAnswerTrue" class="title">Медицинские противопоказания.</div>
          <div v-else class="title">Медицинские противопоказания.</div>
          <div v-if="questions3[0].answer === questions3[0].valueAnswerTrue" class="subtitle">
            При наличии определенных медицинских противопоказаний к военной службе граждане не подлежат призыву на военную службу, но при обжаловании решения призывной комиссии, с грамотно составленной жалобой Вас могут взять в армию. По статистике в 27 % из всех случаев парней все-таки берут в армию
          </div>
          <div v-else class="subtitle">
            При отсутствии медицинских противопоказаний и других причин, по которым гражданин не может быть призван на срочную военную службу, Вы имеете право служить в армии. В случае нарушения этого права можете признать незаконными действия и решения должностных лиц органов военного комиссариата в досудебном и судебном порядке, с чем справляются 79% из всех наших клиентов.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions3[1].answer === questions3[1].valueAnswerTrue" class="title">Непогашенная или неснятая судимость.</div>
          <div v-else class="title">Непогашенная или неснятая судимость.</div>
          <div v-if="questions3[1].answer === questions3[1].valueAnswerTrue" class="subtitle">
            При наличии неснятой или непогашенной судимости вы не можете проходить службу в армии
          </div>
          <div v-else class="subtitle">
            При отсутствии непогашенной или неснятой судимости и других обстоятельств, препятствующих прохождению срочной службы, Вы имеете право служить в армии.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions3[2].answer === questions3[2].valueAnswerTrue" class="title">Следственные действия.</div>
          <div v-else class="title">Следственные действия.</div>
          <div v-if="questions3[2].answer === questions3[2].valueAnswerTrue" class="subtitle">
            Лица, в отношении которых ведутся следственные действия не могут быть призваны на военную службу
          </div>
          <div v-else class="subtitle">
            Если в отношении Вас не ведутся следственные действия, не отбываете наказание за совершение преступления, нет непогашенной или неснятой судимости и нет медицинских противопоказаний, Вы имеете право на прохождение срочной военной службы. Из-за халатности сотрудников военкомата могут не взять в армию, но после обжалования решений и действий этих должностных лиц наши клиенты в 93% случаев идут служить.
          </div>
        </div>
      </div>
      <h5>Резюме</h5>
      <p>
        Есть 4 основных способа возврата прав за управление в состоянии опьянения.
        Как видно из предварительного автоматизированного анализа, у Вас есть все шансы на успех,
        но придется постараться этого успеха добиться. Есть положительные и отрицательные моменты,
        но после анализа протокола об административном правонарушении можно будет дать более точные
        шансы и определиться с окончательной линией защиты по Вашему делу и выбрать
        как раз один из 4-х основных вариантов.
      </p>
      <h3>Звоните по бесплатному номеру 8(800)201-32-36 и юрист предоставит Вам:</h3>
      <span>- бесплатные ходатайства</span><br>
      <span>- постановления и решения судов на которых основана эта информация</span><br>
      <span>- бесплатную консультацию и анализ материалов дела</span>
      <h3>
        С уважением,
        <br>
        Ваш Автоюрист
      </h3>
    </div>
    <notice
      v-if="isPopup"
      @removePopup="removePopup"
      :isPopup="isPopup"
      :title="title"
      :subtitle="subtitle"
    />
  </div>
</template>

<script>
import axios from 'axios'
import Inputmask from 'inputmask'
import notice from './notification'
export default {
  name: 'v-services',
  components: { notice },
  data () {
    return {
      articles: [
        { title: 'Отсрочка от армии', subtitle: 'На призыв или на год', id: 1 },
        { title: 'Военный билет по здоровью', subtitle: 'Временно не годен или  зачисление в запас', id: 2 },
        { title: 'Военный билет по достижении возраста 27 лет', subtitle: 'Справка уклониста', id: 3 },
        { title: 'Не берут в армию', subtitle: 'Справка уклониста', id: 4 }
      ],
      questions1: [
        { value: 'Имеются ли медицинские противопоказания к несению военной службы?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Есть ли родственники, признанные инвалидом?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'Являетесь опекуном/попечителем брата/сестры?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' },
        { value: 'Служите в каких-либо госорганах?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' }
      ],
      questions2: [
        { value: 'Военно-врачебная комиссия отнесла Вас к категории годности «В» или «Д»?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Подавали жалобу на решение военно-врачебной комиссии?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'Есть ли медицинские противопоказания к несению службы?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' }
      ],
      questions3: [
        { value: 'Вам больше 27 лет?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Есть ли медицинские противопоказания, несовместимые с военной службой?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'Являлись студентом ВУЗа до достижения 27 лет?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' },
        { value: 'Есть ли родственники, признанные инвалидом?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' }
      ],
      questions4: [
        { value: 'Есть медицинские противопоказания к несению службы?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Есть непогашенная или неснятая судимость?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'В отношении вас ведутся следственные действия?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' }
      ],
      result: [],
      name: null,
      city: null,
      email: null,
      phone: null,
      isPopup: false,
      title: null,
      subtitle: null
    }
  },
  computed: {
    numArticle () {
      return this.$route.params.id
    }
  },
  created () {
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  },
  methods: {
    removePopup () {
      this.isPopup = false
    },
    outMessUrist (e) {
      const vm = this
      if (this.numArticle === 1 && !this.result.length) {
        this.questions1.forEach(function (quest) {
          if (typeof (quest.answer) === typeof ('')) {
            vm.result.push(quest.value + ' ответ ' + quest.answer + '<br>')
          } else {
            vm.isPopup = true
            vm.title = 'Пожалуйста, ответьте на все вопросы'
            vm.subtitle = 'Чтобы узнать шансы на отсрочку от армии, вам необходимо ответить на все вопросы'
            vm.result = []
            throw new Error('не все вопросы отвечены!')
          }
        })
      } else if (this.numArticle === 2 && !this.result.length) {
        this.questions2.forEach(function (quest) {
          if (typeof (quest.answer) === typeof ('')) {
            vm.result.push(quest.value + ' ответ ' + quest.answer + '<br>')
          } else {
            vm.isPopup = true
            vm.title = 'Пожалуйста, ответьте на все вопросы'
            vm.subtitle = 'Чтобы узнать шансы на отсрочку от армии, вам необходимо ответить на все вопросы'
            vm.result = []
            throw new Error('не все вопросы отвечены!')
          }
        })
      } else if (this.numArticle === 3 && !this.result.length) {
        this.questions3.forEach(function (quest) {
          if (typeof (quest.answer) === typeof ('')) {
            vm.result.push(quest.value + ' ответ ' + quest.answer + '<br>')
          } else {
            vm.isPopup = true
            vm.title = 'Пожалуйста, ответьте на все вопросы'
            vm.subtitle = 'Чтобы узнать шансы на отсрочку от армии, вам необходимо ответить на все вопросы'
            vm.result = []
            throw new Error('не все вопросы отвечены!')
          }
        })
      } else if (this.numArticle === 4 && !this.result.length) {
        this.questions4.forEach(function (quest) {
          if (typeof (quest.answer) === typeof ('')) {
            vm.result.push(quest.value + ' ответ ' + quest.answer + '<br>')
          } else {
            vm.isPopup = true
            vm.title = 'Пожалуйста, ответьте на все вопросы'
            vm.subtitle = 'Чтобы узнать шансы на отсрочку от армии, вам необходимо ответить на все вопросы'
            vm.result = []
            throw new Error('не все вопросы отвечены!')
          }
        })
      }
      if (!this.name) {
        e.target.innerText = 'Вам необходимо указать как вас зовут'
        e.target.classList.add('error-send')
        this.isPopup = true
        this.title = 'Вам необходимо указать как вас зовут'
        this.subtitle = 'Пожалуйста, укажите Ваше имя. Это необходимо для более качественного предоставления услуг'
        setTimeout(() => {
          e.target.innerText = 'Узнать результаты'
          e.target.classList.remove('error-send')
        }, 800)
      } else if (!this.city) {
        e.target.innerText = 'Вам необходимо указать Ваш город'
        e.target.classList.add('error-send')
        this.isPopup = true
        this.title = 'Вам необходимо указать Ваш город'
        this.subtitle = 'Пожалуйста, укажите Ваш город. Это необходимо для более качественного предоставления услуг'
        setTimeout(() => {
          e.target.innerText = 'Узнать результаты'
          e.target.classList.remove('error-send')
        }, 800)
      } else if (!this.phone) {
        e.target.innerText = 'Вам необходимо указать Ваш телефон'
        e.target.classList.add('error-send')
        this.isPopup = true
        this.title = 'Вам необходимо указать Ваш номер телефона'
        this.subtitle = 'Пожалуйста, укажите Ваш телефон. Это необходимо для более качественного предоставления услуг. Ваши данные надежно защищены'
        setTimeout(() => {
          e.target.innerText = 'Узнать результаты'
          e.target.classList.remove('error-send')
        }, 800)
      } else if (!this.email) {
        e.target.innerText = 'Вам необходимо указать Вашу почту'
        e.target.classList.add('error-send')
        this.isPopup = true
        this.title = 'Вам необходимо указать Вашу почту'
        this.subtitle = 'Пожалуйста, укажите Вашу почту. Это необходимо для более качественного предоставления услуг. Ваши данные надежно защищены'
        setTimeout(() => {
          e.target.innerText = 'Узнать результаты'
          e.target.classList.remove('error-send')
        }, 800)
      } else {
        const reg = '^\\+\\d{1,3}\\s?\\(\\d{3}\\)\\s?\\d{3}(-\\d{2}){2}$' // для проверки правильности введенного номера
        if (this.phone.match(reg) !== null) {
          vm.result.join()
          e.target.innerText = 'Ждите..'
          let nameArticle
          this.numArticle === 1 ? nameArticle = this.articles[0].title : this.numArticle === 2 ? nameArticle = this.articles[1].title : nameArticle = this.articles[2].title
          const formData = new FormData()
          formData.append('crm', '16')
          formData.append('pipe', '34')
          formData.append('contact[name]', this.name)
          formData.append('contact[473]', this.city)
          formData.append('contact[466]', this.phone)
          formData.append('contact[467]', this.email)
          formData.append('lead[541]', 'антипризыв.мфюц.рф')
          formData.append('note', 'Заявка с антипризыв.мфюц.рф по теме: ' + nameArticle + '<br>' + this.result.join())
          axios.post('https://bez.v-avtoservice.com/api/import-lead',
            formData,
            {
              headers: {
                'Content-Type': 'multipart/form-data'
              }
            }
          ).then(res => {
            e.target.innerText = 'Заявка отправлена!'
            // document.getElementById('modalSubscribe').style.display = 'block'
            document.getElementById('answer').style.display = 'block'
            document.getElementById('modalSuccessSend').style.display = 'block'
            document.getElementById('answer').scrollIntoView()
            this.$refs.form.remove()
          })
        } else {
          this.isPopup = true
          this.title = 'Номер не корректный!'
          this.subtitle = 'Пожалуйста, укажите правильно номер вашего телефона. Ваши данные надежно защищены.'
        }
      }
    }
  },
  mounted () {
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  }
}
</script>

<style lang="scss" scoped>
  #answer {
    padding-top: 10px;
  }
  .v-services_articles {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    h2 {
      flex-basis: 100%;
      font-weight: bold;
      font-size: 28px;
      line-height: 34px;
    }
    p {
      flex-basis: 100%;
      color: rgba(0, 0, 0, 0.4);
    }
    .articles-container {
      cursor: pointer;
      width: 30%;
      min-width: 200px;
      margin: 10px;
      padding: 10px;
      background: rgba(32, 209, 82, 0.08);
      border: 1px solid rgba(32, 209, 82, 0.16);
      box-sizing: border-box;
      border-radius: 10px;
      position: relative;
      &::before {
        content: '';
        width: 25px;
        height: 15px;
        bottom: 10px;
        right: 10px;
        position: absolute;
        background: url("../assets/img/icons/arrow.svg") center no-repeat;
      }
      .title {
        margin-bottom: 15px;
        font-weight: 600;
        font-size: 20px;
        line-height: 28px;
        color: #20D152;
      }
      &.active .title {
        color: #FFFFFF;
      }
      &.active {
        background: #20D152;
        color: #FFFFFF;
      }
    }
  }
  .v-services_quest {
    margin-bottom: 45px;
    .v-services_quest-container {
      display: flex;
      align-items: center;
      padding: 2px 2px 2px 15px;
      margin: 10px 10px;
      height: 40px;
      border-radius: 3px;
      border: 1px solid #E0E0E0;
      span {
        max-width: 50%;
      }
      .answer-wrapper {
        margin-left: auto;
        label {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          min-width: 120px;
          width: 200px;
          height: 38px;
          background: rgba(32, 209, 82, 0.08);
          margin: 0 2px;
          border-radius: 2px;
          border: 1px solid #E0E0E0;
          transition-duration: .3s;
          cursor: pointer;
          &.active {
            color: #FFFFFF;
            background: #20D152;
          }
          &:active {
            transform: scale(0.8);
          }
        }
      }
    }
  }
  .v-services_form {
    .title {
      margin-bottom: 25px;
      font-weight: bold;
      font-size: 28px;
      line-height: 34px;
    }
    form {
      display: flex;
      flex-direction: column;
      justify-content: center;
      .form-wrapper {
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        margin-bottom: 24px;
        label {
          margin: 10px 5px;
          position: relative;
          max-width: 20%;
          min-width: 200px;
          width: 30%;
          &:focus {
            color: #0F8831;
          }
          input {
            width: 100%;
            border: 1px solid #20D152;
            box-sizing: border-box;
            border-radius: 6px;
            height: 48px;
            padding: 20px 14px;
            &:focus {
              color: #0F8831;
            }
          }
          span {
            position: absolute;
            top: -15px;
            left: 5px;
            font-weight: 600;
            font-size: 12px;
            line-height: 15px;
          }
        }
      }
    }
    button {
      display: block;
      width: 220px;
      height: 48px;
      background: #20D152;
      margin: 0 auto;
      box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.15);
      border-radius: 6px;
      color: #FFFFFF;
      font-weight: bold;
      font-size: 16px;
      transition-duration: 0.8s;
      &.error-send {
        background-color: #ff0000;
        -webkit-animation-name: error-send;
        -webkit-animation-duration: 0.8s;
        -webkit-transform-origin:50% 50%;
        -webkit-animation-iteration-count: infinite;
        -webkit-animation-timing-function: linear;
      }
    }
    p {
      text-align: center;
      font-weight: normal;
      font-size: 16px;
      line-height: 20px;
      color: rgba(0, 0, 0, 0.36);
    }
  }
  .v-services_answer {
    margin-bottom: 50px;
    .answer-wrapper {
      padding: 15px;
      background: linear-gradient(0deg, rgba(0, 0, 0, 0.04), rgba(0, 0, 0, 0.04)), #FFFFFF;
      border: 1px solid rgba(0, 0, 0, 0.12);
      box-sizing: border-box;
      border-radius: 16px;
      .answer-container {
        margin: 15px 0;
        background: #FFFFFF;
        padding: 15px;
        box-shadow: 0 0 10px 2px rgba(221, 221, 221, 1);
        box-sizing: border-box;
        border-radius: 8px;
        .title {
          margin-bottom: 10px;
          font-weight: bold;
          font-size: 20px;
          line-height: 24px;
          text-transform: uppercase;
        }
      }
    }
  }
  @media (max-width: 1110px) {
    .v-services_quest {
      .v-services_quest-container {
        display: flex;
        flex-wrap: wrap;
        height: initial;
        padding: 10px;
        span {
          margin-bottom: 10px;
          max-width: initial;
        }
        .answer-wrapper {
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          label {
          }
        }
      }
    }
  }
  @media (max-width: 450px) {
    .v-services_articles {
      margin-bottom: 30px;
      h2 {
        font-size: 22px;
        line-height: 26px;
      }
      .articles-container {
        width: calc(100% - 30px);
        height: 110px;
        margin: 5px;
        .title {
          margin-bottom: 7px;
        }
      }
    }
    .v-services_form {
      .title {
      }
      form {
        display: flex;
        flex-direction: column;
        justify-content: center;
        .form-wrapper {
          label {
            margin: 10px 5px;
            position: relative;
            max-width: initial;
            min-width: 200px;
            width: 100%;
          }
        }
      }
      button {
        display: block;
        width: 220px;
        height: 48px;
        background: #20D152;
        margin: 0 auto;
        box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.15);
        border-radius: 6px;
        color: #FFFFFF;
        font-weight: bold;
        font-size: 16px;
      }
      p {
        text-align: center;
        font-weight: normal;
        font-size: 16px;
        line-height: 20px;
        color: rgba(0, 0, 0, 0.36);
      }
    }
  }
  @-webkit-keyframes error-send {
    9% {
      -webkit-transform:translateX(5px) rotate(3deg);
      transform:translateX(5px) rotate(3deg)
    }
    19% {
      -webkit-transform:translateX(-3px) rotate(-2deg);
      transform:translateX(-3px) rotate(-3deg)
    }
    29% {
      -webkit-transform:translateX(3px) rotate(2deg);
      transform:translateX(3px) rotate(2deg)
    }
    40% {
      -webkit-transform:translateX(-3px) rotate(-2deg);
      transform:translateX(-3px) rotate(-2deg)
    }
    50% {
      -webkit-transform:translateX(2px) rotate(1deg);
      transform:translateX(2px) rotate(1deg)
    }
    58% {
      -webkit-transform:translateX(-2px) rotate(-1deg);
      transform:translateX(-2px) rotate(-1deg)
    }
    67% {
      -webkit-transform:translateX(2px) rotate(1deg);
      transform:translateX(2px) rotate(1deg)
    }
    79% {
      -webkit-transform:translateX(-2px) rotate(-1deg);
      transform:translateX(-2px) rotate(-1deg)
    }
    89% {
      -webkit-transform:translateX(1px) rotate(0);
      transform:translateX(1px) rotate(0)
    }
    99% {
      -webkit-transform:translateX(-1px) rotate(0);
      transform:translateX(-1px) rotate(0)
    }
  }
</style>
